Skip to content
SENS Platform Docs

Read the tenant Action kill-switch.

GET
/v1/tenants/{tenantNumber}/flow-action-control
curl --request GET \
--url https://api.dev.iot-sens.schlossers.at/v1/tenants/1/flow-action-control \
--header 'Authorization: Bearer <token>'
tenantNumber
required
integer format: int32
>= 1 <= 2147483647

Tenant Action control with ETag.

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store